Discipline

Returns list of all available disciplines

GET https://journey-api.seriousgaming.io/discipline

{
    // Response
}

Get details for a specific discipline

GET https://journey-api.seriousgaming.io/discipline/{id}

Path Parameters

Name
Type
Description

id

String

{
    // Response
}

POST https://journey-api.seriousgaming.io/discipline

To create a discipline with levels, quests, tasks, and resources check out Full discipline examplefor a json example. The parameters stated below will just create a basic empty discipline.

Request Body

Name
Type
Description

Title*

String

Description*

String

OrganizationId

Guid

Optional parameter

Color

String

Purple | Green | Red

Delete a discipline

DELETE https://journey-api.seriousgaming.io/discipline/{id}

Path Parameters

Name
Type
Description

id

Guid

Discipline of the Id you want to delete

Last updated